summaryrefslogtreecommitdiff
path: root/app-emulation/docker/files/docker-r3.initd
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2016-04-02 12:17:01 +0300
committerBlackNoxis <steven.darklight@gmail.com>2016-04-02 12:17:01 +0300
commit3c1016376d4761ecca61e5d4c43bbd3e4ba180bc (patch)
tree0e6966b6a2922aea7b28c506d79345aa3923968c /app-emulation/docker/files/docker-r3.initd
parent9a2f8110322c3c3b3beb6e16f1d5253da1f53e89 (diff)
[docker] added docker to the repo. included support for our binary kernel and systemd
Diffstat (limited to 'app-emulation/docker/files/docker-r3.initd')
-rw-r--r--app-emulation/docker/files/docker-r3.initd31
1 files changed, 31 insertions, 0 deletions
diff --git a/app-emulation/docker/files/docker-r3.initd b/app-emulation/docker/files/docker-r3.initd
new file mode 100644
index 00000000..a3031850
--- /dev/null
+++ b/app-emulation/docker/files/docker-r3.initd
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DOCKER_LOGFILE=${DOCKER_LOGFILE:-/var/log/${SVCNAME}.log}
+DOCKER_PIDFILE=${DOCKER_PIDFILE:-/run/${SVCNAME}.pid}
+DOCKER_BINARY=${DOCKER_BINARY:-/usr/bin/docker}
+DOCKER_OPTS=${DOCKER_OPTS:-}
+
+start() {
+ checkpath -f -m 0644 -o root:docker "$DOCKER_LOGFILE"
+
+ ebegin "Starting docker daemon"
+ start-stop-daemon --start --background \
+ --exec "$DOCKER_BINARY" \
+ --pidfile "$DOCKER_PIDFILE" \
+ --stdout "$DOCKER_LOGFILE" \
+ --stderr "$DOCKER_LOGFILE" \
+ -- -d -p "$DOCKER_PIDFILE" \
+ $DOCKER_OPTS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping docker daemon"
+ start-stop-daemon --stop \
+ --exec "$DOCKER_BINARY" \
+ --pidfile "$DOCKER_PIDFILE"
+ eend $?
+}